Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class AbstractCallSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite

All Implemented Interfaces:
  CallSite

    public class AbstractCallSite
    extends Object

Base class for all call sites

Authors:
  Alex Tkachman

Field Summary
`protected CallSiteArray` | `array`
`protected int` | `index`
`protected String` | `name`
`protected AtomicInteger` | `usage`

Constructor Summary
`AbstractCallSite(CallSiteArray array, int index, String name)`
`AbstractCallSite(CallSite prev)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
`Object` | `call(Object receiver, Object[] args)`
`Object` | `call(Object receiver)`
`Object` | `call(Object receiver, Object arg1)`
`Object` | `call(Object receiver, Object arg1, Object arg2)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callConstructor(Object receiver, Object[] args)`
`Object` | `callConstructor(Object receiver)`
`Object` | `callConstructor(Object receiver, Object arg1)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `callGetPropertySafe(Object receiver)`
`Object` | `callGroovyObjectGetProperty(Object receiver)`
`Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
`Object` | `callSafe(Object receiver, Object[] args)`
`Object` | `callSafe(Object receiver)`
`Object` | `callSafe(Object receiver, Object arg1)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`Object` | `callStatic(Class receiver, Object[] args)`
`Object` | `callStatic(Class receiver)`
`Object` | `callStatic(Class receiver, Object arg1)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
`Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
`protected CallSite` | `createGetPropertySite(Object receiver)`
`protected CallSite` | `createGroovyObjectGetPropertySite(Object receiver)`
`CallSiteArray` | `getArray()`
`int` | `getIndex()`
`String` | `getName()`
`Object` | `getProperty(Object receiver)`
`AtomicInteger` | `getUsage()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### array

    protected final CallSiteArray array

### index

    protected final int index

### name

    protected final String name

### usage

    protected final AtomicInteger usage

Constructor Detail

### AbstractCallSite

    public AbstractCallSite(CallSiteArray array, int index, String name)

### AbstractCallSite

    public AbstractCallSite(CallSite prev)

Method Detail

### acceptGetProperty

    public CallSite acceptGetProperty(Object receiver)

### acceptGroovyObjectGetProperty

    public CallSite acceptGroovyObjectGetProperty(Object receiver)

### call

    public Object call(Object receiver, Object[] args)

### call

    public Object call(Object receiver)

### call

    public Object call(Object receiver, Object arg1)

### call

    public Object call(Object receiver, Object arg1, Object arg2)

### call

    public Object call(Object receiver, Object arg1, Object arg2, Object arg3)

### call

    public Object call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callConstructor

    public Object callConstructor(Object receiver, Object[] args)

### callConstructor

    public Object callConstructor(Object receiver)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)

### callConstructor

    public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object[] args)

### callCurrent

    public Object callCurrent(GroovyObject receiver)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)

### callCurrent

    public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callGetProperty

    public Object callGetProperty(Object receiver)

### callGetPropertySafe

    public final Object callGetPropertySafe(Object receiver)

### callGroovyObjectGetProperty

    public Object callGroovyObjectGetProperty(Object receiver)

### callGroovyObjectGetPropertySafe

    public final Object callGroovyObjectGetPropertySafe(Object receiver)

### callSafe

    public final Object callSafe(Object receiver, Object[] args)

### callSafe

    public final Object callSafe(Object receiver)

### callSafe

    public final Object callSafe(Object receiver, Object arg1)

### callSafe

    public final Object callSafe(Object receiver, Object arg1, Object arg2)

### callSafe

    public final Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3)

### callSafe

    public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### callStatic

    public Object callStatic(Class receiver, Object[] args)

### callStatic

    public Object callStatic(Class receiver)

### callStatic

    public Object callStatic(Class receiver, Object arg1)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3)

### callStatic

    public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)

### createGetPropertySite

    protected final CallSite createGetPropertySite(Object receiver)

### createGroovyObjectGetPropertySite

    protected final CallSite createGroovyObjectGetPropertySite(Object receiver)

### getArray

    public CallSiteArray getArray()

### getIndex

    public int getIndex()

### getName

    public String getName()

### getProperty

    public Object getProperty(Object receiver)

### getUsage

    public AtomicInteger getUsage()

Copyright © 2003-2010 The Codehaus. All rights reserved.